Moved code signature step to after the framework build step is complete, and don't hardcode the codesign identity
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91
diff --git a/Xcode/SDL/SDL.xcodeproj/project.pbxproj b/Xcode/SDL/SDL.xcodeproj/project.pbxproj
index 2b75b54..d44de4d 100755
--- a/Xcode/SDL/SDL.xcodeproj/project.pbxproj
+++ b/Xcode/SDL/SDL.xcodeproj/project.pbxproj
@@ -2248,7 +2248,6 @@
BECDF62A0761BA81005FE872 /* Resources */,
BECDF62C0761BA81005FE872 /* Sources */,
BECDF6680761BA81005FE872 /* Frameworks */,
- AA5C3FDC17A8C58600D6C8A1 /* Sign Frameworks */,
);
buildRules = (
);
@@ -2385,20 +2384,6 @@
/* End PBXRezBuildPhase section */
/* Begin PBXShellScriptBuildPhase section */
- AA5C3FDC17A8C58600D6C8A1 /* Sign Frameworks */ = {
- isa = PBXShellScriptBuildPhase;
- buildActionMask = 2147483647;
- files = (
- );
- inputPaths = (
- );
- name = "Sign Frameworks";
- outputPaths = (
- );
- runOnlyForDeploymentPostprocessing = 0;
- shellPath = /bin/sh;
- shellScript = "if [ \"$USER\" = \"slouken\" ]; then\n CODE_SIGN_IDENTITY=\"Mac Developer: Sam Lantinga (84TP7N5TA4)\" pkg-support/codesign-frameworks.sh || exit 1\nfi";
- };
BECDF6BD0761BA81005FE872 /* ShellScript */ = {
isa = PBXShellScriptBuildPhase;
buildActionMask = 12;
@@ -2406,7 +2391,7 @@
);
runOnlyForDeploymentPostprocessing = 0;
shellPath = /bin/sh;
- shellScript = "# clean up the framework, remove headers, extra files\nmkdir -p build/dmg-tmp\nxcrun CpMac -r $TARGET_BUILD_DIR/SDL2.framework build/dmg-tmp/\n\ncp pkg-support/resources/License.txt build/dmg-tmp\ncp pkg-support/resources/ReadMe.txt build/dmg-tmp\n\n# remove the .DS_Store files if any (we may want to provide one in the future for fancy .dmgs)\nfind build/dmg-tmp -name .DS_Store -exec rm -f \"{}\" \\;\n\n# for fancy .dmg\nmkdir -p build/dmg-tmp/.logo\ncp pkg-support/resources/SDL_DS_Store build/dmg-tmp/.DS_Store\ncp pkg-support/sdl_logo.pdf build/dmg-tmp/.logo\n\n# create the dmg\nhdiutil create -ov -fs HFS+ -volname SDL2 -srcfolder build/dmg-tmp build/SDL2.dmg\n\n# clean up\nrm -rf build/dmg-tmp";
+ shellScript = "# Sign framework\nif [ \"$SDL_CODESIGN_IDENTITY\" != \"\" ]; then\n codesign --force --sign \"$SDL_CODESIGN_IDENTITY\" $TARGET_BUILD_DIR/SDL2.framework/Versions/A\nfi\n\n# clean up the framework, remove headers, extra files\nmkdir -p build/dmg-tmp\nxcrun CpMac -r $TARGET_BUILD_DIR/SDL2.framework build/dmg-tmp/\n\ncp pkg-support/resources/License.txt build/dmg-tmp\ncp pkg-support/resources/ReadMe.txt build/dmg-tmp\n\n# remove the .DS_Store files if any (we may want to provide one in the future for fancy .dmgs)\nfind build/dmg-tmp -name .DS_Store -exec rm -f \"{}\" \\;\n\n# for fancy .dmg\nmkdir -p build/dmg-tmp/.logo\ncp pkg-support/resources/SDL_DS_Store build/dmg-tmp/.DS_Store\ncp pkg-support/sdl_logo.pdf build/dmg-tmp/.logo\n\n# create the dmg\nhdiutil create -ov -fs HFS+ -volname SDL2 -srcfolder build/dmg-tmp build/SDL2.dmg\n\n# clean up\nrm -rf build/dmg-tmp";
};
/* End PBXShellScriptBuildPhase section */
diff --git a/Xcode/SDL/pkg-support/codesign-frameworks.sh b/Xcode/SDL/pkg-support/codesign-frameworks.sh
deleted file mode 100755
index 1e184b0..0000000
--- a/Xcode/SDL/pkg-support/codesign-frameworks.sh
+++ /dev/null
@@ -1,43 +0,0 @@
-#!/bin/sh
-
-# WARNING: You may have to run Clean in Xcode after changing CODE_SIGN_IDENTITY!
-
-# Verify that $CODE_SIGN_IDENTITY is set
-if [ -z "$CODE_SIGN_IDENTITY" ] ; then
- echo "CODE_SIGN_IDENTITY needs to be non-empty for codesigning frameworks!"
-
- if [ "$CONFIGURATION" = "Release" ] ; then
- exit 1
- else
- # Codesigning is optional for non-release builds.
- exit 0
- fi
-fi
-
-FRAMEWORK_DIR="${TARGET_BUILD_DIR}"
-
-# Loop through all frameworks
-FRAMEWORKS=`find "${FRAMEWORK_DIR}" -type d -name "*.framework" | sort -r`
-RESULT=$?
-if [[ $RESULT != 0 ]] ; then
- exit 1
-fi
-
-for FRAMEWORK in $FRAMEWORKS;
-do
- if [[ "$CONFIGURATION" = "Release" ]]; then
- echo "Stripping '${FRAMEWORK}'"
- NAME=$(basename "${FRAMEWORK}" .framework)
- xcrun strip -x "${FRAMEWORK}/${NAME}"
- RESULT=$?
- if [[ $RESULT != 0 ]] ; then
- exit 1
- fi
- fi
- echo "Signing '${FRAMEWORK}'"
- codesign -f -v -s "${CODE_SIGN_IDENTITY}" "${FRAMEWORK}"
- RESULT=$?
- if [[ $RESULT != 0 ]] ; then
- exit 1
- fi
-done